<?php
/*
Plugin Name: Google Friend Connect Integration
Plugin URI: http://www.socialarrow.com/google-friend-connect-integration-wordpress/
Description: Easily integrate Google Friend Connect with Wordpress.  To get started, please enter your GFC Site Id number in the GFC Integration <a href="/wp-admin/options-general.php?page=google-friend-connect-integration/gfcintegration.php">Admin Page</a>, then add your gadgets by visiting the <a href="/wp-admin/widgets.php">Widgets Page</a>.  For help and support see the official <a href="http://www.socialarrow.com/google-friend-connect-integration-wordpress/">Friend Connect Integration Page</a>.
Version: 0.9.5
Author: Social Mind
Author URI: http://www.socialarrow.com/social-arrow/
*/
/*  Copyright 2009  SocialMind  (email : socialmind@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
define(GFCI_MEMBER_WIDGET, "mem_widget_gfci");
define(GFCI_LOGIN_WIDGET, "login_widget_gfci");

require(dirname(__FILE__).'/wallgadget.php');
require(dirname(__FILE__).'/reviewgadget.php');
require(dirname(__FILE__).'/logingadget.php');
require(dirname(__FILE__).'/membergadget.php');
require(dirname(__FILE__).'/customgadget.php');

function gfci_header() {
	?>
	<script type="text/javascript" src="http://www.google.com/friendconnect/script/friendconnect.js"></script>
	<?php
}

function gfci_sit() {
	$gfci_val = get_option( gfci_side_id );
	echo $gfci_val;
}

function gfc_plugin_menu() {
	add_options_page('GFC Integration', 'GFC Integration', 8, __FILE__, 'gfci_options_page');
}

function gfci_options_page() {
	$gfci_opt = 'gfci_side_id';
	$gfci_canvas_path = 'gfci_canvas_path';
	$hidden_field_name = 'gfci_submit_hidden';
	$gfci_site_id = 'gfci_side_id';
	$gfci_canvas_path2 = 'gfci_canvas_path';
	$opt_val = get_option( $gfci_site_id );
	if (!isset( $gfci_canvas_path ))
		$opt2_val = get_option( $gfci_canvas_path2 );
	else
		$opt2_val = '/';

	if( $_POST[ $hidden_field_name ] == 'Y' ) {
		$opt_val = attribute_escape($_POST[ $gfci_site_id ]);
		$opt2_val = attribute_escape($_POST[ $gfci_canvas_path2 ]);
		update_option( $gfci_opt, $opt_val );
		update_option( $gfci_canvas_path, $opt2_val );
	
		?>
		<div class="updated"><p><strong><?php _e('Options saved.', 'gfci_trans_domain' ); ?></strong></p></div>
		<?php

	}
	echo '<div class="wrap">';
	echo "<h2>" . __( 'Google Friend Connect Integration Options', 'gfci_trans_domain' ) . "</h2>";
		    
	?>

	<form name="form1" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
	<?php wp_nonce_field('update-options'); ?>
	<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">

	<p><?php _e("Friend Connect SiteId:", 'gfci_trans_domain' ); ?> 
	<input type="text" name="<?php echo $gfci_site_id; ?>" value="<?php echo $opt_val; ?>" size="20">
	</p>
	<p><?php _e("Location of rpc_relay.html and canvas.html:", 'gfci_trans_domain' ); ?> 
	<input type="text" name="<?php echo $gfci_canvas_path; ?>" value="<?php echo $opt2_val; ?>" size="10">
	<br /><font color="red">Only change the location if you have uploaded rpc_relay.html and canvas.html to somewhere other than the root of your site.</font><br/>(i.e. for http://www.your-site.net<b>/blog/</b>) just enter <b>/blog/</b>)</p>
	<p>After entering your Site Id number and specifying the location of rpc_relay.html and canvas.html, go to the widgets page to add and setup your Friend Connect Gadgets.</p><hr />

	<p class="submit">
	<input type="submit" name="Submit" value="<?php _e('Update Options', 'gfci_trans_domain' ) ?>" />
	</p>

	</form>
	</div>

	<?php
 
}

function myGFCI_init() {
	register_sidebar_widget(__('GFC Members'), 'GFCIWidget_Members');
	register_sidebar_widget(__('GFC Login'), 'GFCIWidget_Login');
	register_widget_control(__('GFC Members'), 'widget_gfci_member_control', 420);
	register_widget_control(__('GFC Login'), 'widget_gfci_login_control', 420);
}

add_action('wp_head', 'gfci_header');
add_action('admin_menu', 'gfc_plugin_menu');
add_action('widgets_init', 'myGFCI_init');
add_action('widgets_init', 'gfci_wall_multi_register');
add_action('widgets_init', 'gfci_review_multi_register');
add_action('widgets_init', 'gfci_custom_multi_register');

?>
